package com.happy.dao;

import com.happy.Model.BookingLog;

import java.util.List;

public interface BookingLogDao {

    public int insert(BookingLog BookingLog);

    // 修改信息
    public int update(BookingLog BookingLog);

    /**
     * 修改信息通过用户参数
      * @param BookingLog
     * @return
     */
    public int updateInfoByParam(BookingLog BookingLog);

    public int del(int id);

    public List<BookingLog> queryByBookingId(String booking_id);

    /**
     * 通过用户的id查询用户表
     * @param id
     * @return
     */
    public BookingLog queryById(String id);


    public List<BookingLog> queryPage(String sqlx, int page, int rows);
}
